Anonymous | Login
Project:
RSS
  
News | My View | View Issues | Roadmap | Summary

View Issue DetailsJump to Notes ] Issue History ] Print ]
ID
0029154
TypeCategorySeverityReproducibilityDate SubmittedLast Update
feature request[Openbravo ERP] A. Platformtrivialsometimes2015-03-06 07:202015-03-10 17:00
ReporteralostaleView Statuspublic 
Assigned Toalostale 
PrioritynormalResolutionfixedFixed in Version3.0PR15Q2
StatusclosedFix in branchFixed in SCM revision486e7700e8d0
ProjectionnoneETAnoneTarget Version
OSAnyDatabaseAnyJava version
OS VersionDatabase versionAnt version
Product VersionSCM revision 
Review Assigned ToAugustoMauch
Web browser
ModulesCore
Regression level
Regression date
Regression introduced in release
Regression introduced by commit
Triggers an Emergency PackNo
Summary

0029154: log table recreation on update database

DescriptionUpdate database task recreates tables when their module is updated, this recreation can take a long time to complete but currently there is no information in the log about what is going on.
Steps To ReproduceEnable pg log for all statements
Update from PR14Q3 to PR14Q4
Check in pg logs how some tables were recreated
TagsNo tags attached.
Attached Files

- Relationships Relation Graph ] Dependency Graph ]
depends on backport 00291553.0PR15Q1.2 closedAugustoMauch log table recreation on update database 
depends on backport 00291563.0PR14Q3.8 closedAugustoMauch log table recreation on update database 
related to defect 0029127 closedalostale PR14Q3 -> PR14Q4 update can fail activating FKs 
related to feature request 0029270 closedalostale prevent table recreation in update.database 

-  Notes
(0075220)
hgbot (developer)
2015-03-06 08:10

Repository: erp/devel/dbsm-main
Changeset: 03fd172a1933478b1368331a43e85e046954ab55
Author: Asier Lostalé <asier.lostale <at> openbravo.com>
Date: Fri Mar 06 07:36:57 2015 +0100
URL: http://code.openbravo.com/erp/devel/dbsm-main/rev/03fd172a1933478b1368331a43e85e046954ab55 [^]

fixed issue 29154: added log on table recreation when updating database

---
M src/org/apache/ddlutils/platform/SqlBuilder.java
---
(0075221)
hgbot (developer)
2015-03-06 08:10

Repository: erp/devel/dbsm-main
Changeset: bd922b5e05ccb0428de18ad9e442634eb917f3c8
Author: Asier Lostalé <asier.lostale <at> openbravo.com>
Date: Fri Mar 06 07:38:07 2015 +0100
URL: http://code.openbravo.com/erp/devel/dbsm-main/rev/bd922b5e05ccb0428de18ad9e442634eb917f3c8 [^]

related to issue 29154: added test cases

---
M src-test/src/org/openbravo/dbsm/test/base/DbsmTest.java
M src-test/src/org/openbravo/dbsm/test/model/ModelSuite.java
A src-test/model/recreation/COL1.xml
A src-test/model/recreation/COL2.xml
A src-test/src/org/openbravo/dbsm/test/base/PGOnlyDbsmTest.java
A src-test/src/org/openbravo/dbsm/test/model/recreation/AddDropColumn.java
---
(0075222)
hgbot (developer)
2015-03-06 08:11

Repository: erp/devel/pi
Changeset: 486e7700e8d04adda67995debce6dc528bddac5a
Author: Asier Lostalé <asier.lostale <at> openbravo.com>
Date: Fri Mar 06 08:10:31 2015 +0100
URL: http://code.openbravo.com/erp/devel/pi/rev/486e7700e8d04adda67995debce6dc528bddac5a [^]

fixed issue 29154: added log on table recreation when updating database

---
M src-db/database/lib/dbsourcemanager.jar
---
(0075257)
hudsonbot (developer)
2015-03-06 16:04

A changeset related to this issue has been promoted main and to the
Central Repository, after passing a series of tests.

Promotion changeset: https://code.openbravo.com/erp/devel/main/rev/1601137b3c3d [^]
Maturity status: Test
(0075415)
AugustoMauch (developer)
2015-03-10 17:00

Code reviewed and verified in pi@5cc98c60fb3c

- Issue History
Date Modified Username Field Change
2015-03-06 07:20 alostale New Issue
2015-03-06 07:20 alostale Assigned To => AugustoMauch
2015-03-06 07:20 alostale Modules => Core
2015-03-06 07:20 alostale Triggers an Emergency Pack => No
2015-03-06 07:21 alostale Status new => scheduled
2015-03-06 07:21 alostale Assigned To AugustoMauch => alostale
2015-03-06 07:21 alostale Review Assigned To => AugustoMauch
2015-03-06 07:22 alostale Relationship added related to 0029127
2015-03-06 08:10 hgbot Checkin
2015-03-06 08:10 hgbot Note Added: 0075220
2015-03-06 08:10 hgbot Status scheduled => resolved
2015-03-06 08:10 hgbot Resolution open => fixed
2015-03-06 08:10 hgbot Fixed in SCM revision => http://code.openbravo.com/erp/devel/dbsm-main/rev/03fd172a1933478b1368331a43e85e046954ab55 [^]
2015-03-06 08:10 hgbot Checkin
2015-03-06 08:10 hgbot Note Added: 0075221
2015-03-06 08:11 hgbot Checkin
2015-03-06 08:11 hgbot Note Added: 0075222
2015-03-06 08:11 hgbot Fixed in SCM revision http://code.openbravo.com/erp/devel/dbsm-main/rev/03fd172a1933478b1368331a43e85e046954ab55 [^] => http://code.openbravo.com/erp/devel/pi/rev/486e7700e8d04adda67995debce6dc528bddac5a [^]
2015-03-06 16:04 hudsonbot Checkin
2015-03-06 16:04 hudsonbot Note Added: 0075257
2015-03-10 17:00 AugustoMauch Note Added: 0075415
2015-03-10 17:00 AugustoMauch Status resolved => closed
2015-03-10 17:00 AugustoMauch Fixed in Version => 3.0PR15Q2
2015-03-13 12:09 alostale Relationship added related to 0029270


Copyright © 2000 - 2009 MantisBT Group
Powered by Mantis Bugtracker